Get a repository

Cortex XSIAM Platform APIs

get /public_api/appsec/v1/repositories/{assetId}

Get details on the Application Security repository specified by its asset ID.

Required license: Cortex XSIAM Premium. In Cortex XSIAM Enterprise and Cortex NG SIEM, requires the Cortex Cloud Posture Management add-on. Not supported in XSIAM Enterprise Plus.

Path parameters
assetId String required

Asset ID

Example: assetId_example
Request headers
Authorization String required

{api_key}

Example: UCoWpG4rkNzgCp2dsh8m02iVpZsskwKHz7N1tErPcUV3Wmf59Gc9kytmgOv0pDWoem3PBlORyRIPiir4OcYdWUOWAM3JyTgoCxQf4nQoTlKmFRKz9Bj5vIjluw66p9WP
x-xdr-auth-id String required

{api_key_id}

Example: 241
CLIENT REQUEST
curl -X 'GET'
-H 'Accept: application/json'
-H 'Authorization: UCoWpG4rkNzgCp2dsh8m02iVpZsskwKHz7N1tErPcUV3Wmf59Gc9kytmgOv0pDWoem3PBlORyRIPiir4OcYdWUOWAM3JyTgoCxQf4nQoTlKmFRKz9Bj5vIjluw66p9WP ' -H 'x-xdr-auth-id: 241'
'https://api-yourfqdn/public_api/appsec/v1/repositories/{assetId}'
import http.client conn = http.client.HTTPSConnection("api-yourfqdn") headers = { 'Authorization': "UCoWpG4rkNzgCp2dsh8m02iVpZsskwKHz7N1tErPcUV3Wmf59Gc9kytmgOv0pDWoem3PBlORyRIPiir4OcYdWUOWAM3JyTgoCxQf4nQoTlKmFRKz9Bj5vIjluw66p9WP ", 'x-xdr-auth-id': "241" } conn.request("GET", "/public_api/appsec/v1/repositories/%7BassetId%7D", headers=headers) res = conn.getresponse() data = res.read() print(data.decode("utf-8"))
require 'uri' require 'net/http' require 'openssl' url = URI("https://api-yourfqdn/public_api/appsec/v1/repositories/%7BassetId%7D") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true http.verify_mode = OpenSSL::SSL::VERIFY_NONE request = Net::HTTP::Get.new(url) request["Authorization"] = 'UCoWpG4rkNzgCp2dsh8m02iVpZsskwKHz7N1tErPcUV3Wmf59Gc9kytmgOv0pDWoem3PBlORyRIPiir4OcYdWUOWAM3JyTgoCxQf4nQoTlKmFRKz9Bj5vIjluw66p9WP ' request["x-xdr-auth-id"] = '241' response = http.request(request) puts response.read_body
const data = null; const xhr = new XMLHttpRequest(); xhr.withCredentials = true; xhr.addEventListener("readystatechange", function () { if (this.readyState === this.DONE) { console.log(this.responseText); } }); xhr.open("GET", "https://api-yourfqdn/public_api/appsec/v1/repositories/%7BassetId%7D"); xhr.setRequestHeader("Authorization", "UCoWpG4rkNzgCp2dsh8m02iVpZsskwKHz7N1tErPcUV3Wmf59Gc9kytmgOv0pDWoem3PBlORyRIPiir4OcYdWUOWAM3JyTgoCxQf4nQoTlKmFRKz9Bj5vIjluw66p9WP "); xhr.setRequestHeader("x-xdr-auth-id", "241"); xhr.send(data);
HttpResponse<String> response = Unirest.get("https://api-yourfqdn/public_api/appsec/v1/repositories/%7BassetId%7D") .header("Authorization", "UCoWpG4rkNzgCp2dsh8m02iVpZsskwKHz7N1tErPcUV3Wmf59Gc9kytmgOv0pDWoem3PBlORyRIPiir4OcYdWUOWAM3JyTgoCxQf4nQoTlKmFRKz9Bj5vIjluw66p9WP ") .header("x-xdr-auth-id", "241") .asString();
import Foundation let headers = [ "Authorization": "UCoWpG4rkNzgCp2dsh8m02iVpZsskwKHz7N1tErPcUV3Wmf59Gc9kytmgOv0pDWoem3PBlORyRIPiir4OcYdWUOWAM3JyTgoCxQf4nQoTlKmFRKz9Bj5vIjluw66p9WP ", "x-xdr-auth-id": "241" ] let request = NSMutableURLRequest(url: NSURL(string: "https://api-yourfqdn/public_api/appsec/v1/repositories/%7BassetId%7D")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume()
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api-yourfqdn/public_api/appsec/v1/repositories/%7BassetId%7D", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: UCoWpG4rkNzgCp2dsh8m02iVpZsskwKHz7N1tErPcUV3Wmf59Gc9kytmgOv0pDWoem3PBlORyRIPiir4OcYdWUOWAM3JyTgoCxQf4nQoTlKmFRKz9Bj5vIjluw66p9WP ", "x-xdr-auth-id: 241" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
CURL *hnd = curl_easy_init(); curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "GET"); curl_easy_setopt(hnd, CURLOPT_URL, "https://api-yourfqdn/public_api/appsec/v1/repositories/%7BassetId%7D"); struct curl_slist *headers = NULL; headers = curl_slist_append(headers, "Authorization: UCoWpG4rkNzgCp2dsh8m02iVpZsskwKHz7N1tErPcUV3Wmf59Gc9kytmgOv0pDWoem3PBlORyRIPiir4OcYdWUOWAM3JyTgoCxQf4nQoTlKmFRKz9Bj5vIjluw66p9WP "); headers = curl_slist_append(headers, "x-xdr-auth-id: 241"); curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers); CURLcode ret = curl_easy_perform(hnd);
var client = new RestClient("https://api-yourfqdn/public_api/appsec/v1/repositories/%7BassetId%7D"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "UCoWpG4rkNzgCp2dsh8m02iVpZsskwKHz7N1tErPcUV3Wmf59Gc9kytmgOv0pDWoem3PBlORyRIPiir4OcYdWUOWAM3JyTgoCxQf4nQoTlKmFRKz9Bj5vIjluw66p9WP "); request.AddHeader("x-xdr-auth-id", "241"); IRestResponse response = client.Execute(request);
Responses

Ok

Body
application/json
namestring

The name of the repository in the version control system (VCS)

descriptionstring

Description describing the repository

creationDatestring
defaultBranchstring
diskSizenumberdouble
externalIdstring
idstring

Repository ID

integrationIdstring
isArchivedboolean

Whether the repository is archived

isBillableboolean

Whether the repository is billable

isForkedboolean

Whether the repository is forked

isPublicboolean

Whether the repository is public

isSelectedboolean

Whether the repository is selected

lastScanDatestring
observationTimenumberdouble

The date the repository was last updated

organizationIdstring
ownerstring

Repository owner

projectIdstring
scanConfigurationobject

The configuration of an Application Security code scanner

excludedPathsarray[string]
prScanningobject

Pull Request (PR) scans are initiated by events triggered by version control systems such as GitHub, GitLab, Bitbucket and Azure Repos, or via webhooks. The scan results are based on default enforcement thresholds.

blockOnErrorbooleanrequired
isEnabledbooleanrequired

Indicates whether the PR scan is enabled

scannersobject

Details on each type of scanner: Branch periodic scans, CI scans, IaC scans, Secrets scans

GIT_HISTORYobject

Scanner configuration

isEnabledbooleanrequired

Indicates whether this scanner is enabled

scanOptionsobject
Additional propertiesboolean
IACobject

Scanner configuration

isEnabledbooleanrequired

Indicates whether this scanner is enabled

scanOptionsobject
Additional propertiesboolean
SCAobject

Scanner configuration

isEnabledbooleanrequired

Indicates whether this scanner is enabled

scanOptionsobject
Additional propertiesboolean
SECRETSobject

Scanner configuration

isEnabledbooleanrequired

Indicates whether this scanner is enabled

scanOptionsobject
Additional propertiesboolean
taggingBotobject
tagModuleBlocksbooleanrequired
tagResourceBlocksbooleanrequired
scannedBranchstring
scannedBranchesarray
[
diskSizenumberdouble
firstScanDatestring

Timestamp of the first scan performed

idstring

Branch ID

isPrimaryboolean

Indicates whether or not the branch is the primary branch

lastApiCallDatestring
lastCloneDatestring
lastCloneShastring
lastScanDatestring

Timestamp of the last scan execution

namestring

Branch name

repositoryIdstring

Repository ID

]
sourcestring (Enum)

Type of the data source instance, indicating the external system it connects to.

Allowed values:"COLLECTOR"
statusobject
apiReadobject
reasonstring
statusstring (Enum)required
Allowed values:"INVALID""VALID"
apiWriteobject
reasonstring
statusstring (Enum)required
Allowed values:"INVALID""VALID"
cloneobject
reasonstring
statusstring (Enum)required
Allowed values:"INVALID""VALID"
connectionobject
reasonstring
statusstring (Enum)required
Allowed values:"INVALID""VALID"
webhookSubscriptionobject
reasonstring
statusstring (Enum)required
Allowed values:"INVALID""VALID"
tokenobject
reasonstring
statusstring (Enum)required
Allowed values:"INVALID""VALID"
Additional propertiesobject
reasonstring
statusstring (Enum)required
Allowed values:"INVALID""VALID"
urlstring

URL of the repository

RESPONSE
{ "name": "example", "description": "example", "creationDate": "example", "defaultBranch": "example", "diskSize": 0.1, "externalId": "example", "id": "example", "integrationId": "example", "isArchived": false, "isBillable": false, "isForked": false, "isPublic": false, "isSelected": false, "lastScanDate": "example", "observationTime": 0.1, "organizationId": "example", "owner": "example", "projectId": "example", "scanConfiguration": { "excludedPaths": [ "example" ], "prScanning": { "blockOnError": false, "isEnabled": false }, "scanners": { "GIT_HISTORY": { "isEnabled": false, "scanOptions": { "additionalProperties": false } }, "IAC": { "isEnabled": false, "scanOptions": { "additionalProperties": false } }, "SCA": { "isEnabled": false, "scanOptions": { "additionalProperties": false } }, "SECRETS": { "isEnabled": false, "scanOptions": { "additionalProperties": false } } }, "taggingBot": { "tagModuleBlocks": false, "tagResourceBlocks": false } }, "scannedBranch": "example", "scannedBranches": [ { "diskSize": 0.1, "firstScanDate": "example", "id": "example", "isPrimary": false, "lastApiCallDate": "example", "lastCloneDate": "example", "lastCloneSha": "example", "lastScanDate": "example", "name": "example", "repositoryId": "example" } ], "source": "COLLECTOR", "status": { "apiRead": { "reason": "example", "status": "INVALID" }, "apiWrite": { "reason": "example", "status": "INVALID" }, "clone": { "reason": "example", "status": "INVALID" }, "connection": { "reason": "example", "status": "INVALID" }, "webhookSubscription": { "reason": "example", "status": "INVALID" }, "token": { "reason": "example", "status": "INVALID" } }, "url": "example" }